Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2337 - Missing man pages: gethostbyname_r etc.
Summary: Missing man pages: gethostbyname_r etc.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-23 14:08 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-11 15:44:28 UTC


Attachments (Terms of Use)

Description Chris Evans 1999-04-23 14:08:05 UTC
The re-entrant versions of gethostbyname etc. library
calls are missing. These are tricky calls to use so this is
v. annnoying :-)

At a guess getpwnam_r etc. might be missing too

Comment 1 Jeff Johnson 1999-04-23 16:34:59 UTC
Try "info libc" and searching for getpwnam_r ...

Comment 2 Chris Evans 1999-05-08 12:24:59 UTC
True... but if I can type

"man gethostbyname"

and get a result, then logically I should also get info when I do

"man gethostbyname_r",

rather than having to dig around in glibc help. Perhaps we should just
bounce this issue to the maintainer of man-pages?

Comment 3 Jeff Johnson 1999-05-11 15:44:59 UTC
While it is surprising that "man gethostbyname" succeeds and
"man gethostbyname_r" fails, I would suggest that only "info
gethostbyname" provides reliable, up-to-date, well maintained,
and consistent info. Particularly for a routine as subtly
nuanced as gethostbyname_r (consider the multi-threaded dynamic
library issues here ...)


Note You need to log in before you can comment on or make changes to this bug.